%global srcname p1_mysql


Name:       erlang-%{srcname}
Version:    1.0.8
Release:    1%{?dist}
BuildArch:  noarch

Summary:    Pure Erlang MySQL driver
License:    BSD
URL:        https://github.com/processone/p1_mysql/
Source0:    https://github.com/processone/p1_mysql/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-eunit
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros


%description
This is an Erlang MySQL driver, used by ejabberd.


%prep
%autosetup -n p1_mysql-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license COPYING
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Tue Jan 08 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.8-1
- Update to 1.0.8.
- https://github.com/processone/p1_mysql/blob/1.0.8/CHANGELOG.md

* Sun Oct 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.7-1
- Update to 1.0.7.
- https://github.com/processone/p1_mysql/blob/1.0.7/CHANGELOG.md

* Sun Jul 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6 (#1596209).
- https://github.com/processone/p1_mysql/blob/1.0.6/CHANGELOG.md

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 (#1496442).
- https://github.com/processone/p1_mysql/blob/1.0.5/CHANGELOG.md

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-3
- Convert into a noarch pacakge.
- Drop explicit dependency on erts since the automatic dependency detector will find it.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3 (#1459719).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
